### Method

# Gtk CellLayout set_cell_data_func

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_layout_set_cell_data_func (
      GtkCellLayout* cell_layout,
      GtkCellRenderer* cell,
      GtkCellLayoutDataFunc func,
      gpointer func_data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets the `GtkCellLayout`DataFunc to use for `cell_layout`.

This function is used instead of the standard attributes mapping for setting the column value, and should set the value of `cell_layout`’s cell renderer(s) as appropriate.

`func` may be `NULL` to remove a previously set function.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`cell`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer`

  The data is owned by the caller of the method.

`func`

  Type: `GtkCellLayoutDataFunc`

  The `GtkCellLayout`DataFunc to use.

  The argument can be `NULL`.

`func_data`

  Type: `gpointer`

  User data for `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy`

  Type: `GDestroyNotify`

  Destroy notify for `func_data`.